// Theme colors
$color__main: #1FC9E3 !default;
$color__secondary: #EDB256 !default;
$color__utilitary: #4F49B2 !default;
$color__hr: lighten($color__secondary,5%) !default;

$color__titles: #221F5D !default;
$color__text: #6A8198;
$color__link: #1FC9E3 !default;

// Base colors
$color__grey: #F3F0FF !default;
$color__grey--regent: darken($color__grey,5%) !default;

//Font family
$font__main: "Roboto" sans-serif;
$font__secondary: "Poppins" sans-serif;

// Font weights
$font__weight--lighweight: 300;
$font__weight--normal: 400;
$font__weight--bold: 700;

@import '@themesei/styleguide/src/main.scss';

@import "_partials/mixins";
@import "_partials/variables";
@import "_partials/base";

body {
    background: white;
}

.btn__size--full {
    width: 100%;
}

button,
.btn,
a {
    outline: none;
}

*.font-weight__lighweight {
    font-weight: 400 !important;
}

*.font-weight__normal {
    font-weight: 500 !important;
}
/*--------------------------------------------------------------
# Libs
--------------------------------------------------------------*/
@import '../../node_modules/slick-slider/slick/slick.scss';

/*--------------------------------------------------------------
# Header
--------------------------------------------------------------*/
#header {
    background: white;
    height: 100px;
    width: 100%;

    .container-fluid,
    .row {
        height: 100%;
    }

    .logo {
        img {
            width: 170px;
        }
    }

    .navicon {
        display: none;
    }

    .main-menu {
        ul {
            margin: 0;
            padding: 0;

            li {
                display: inline-block;

                a {
                    color: $color__titles;
                    display: block;
                    font-weight: normal;
                    padding: 8px 12px;

                    .icon {
                        font-size: 0.75rem;
                        margin-left: 8px;
                    }
                }

                &.active {
                    a {
                        border: 2px solid $color__utilitary;
                        border-radius: 40px;
                        font-weight: bold;
                        color: $color__utilitary;
                        margin-left: 8px;
                        padding: 12px 20px;
                    }
                }

                &.lang {
                    .trp-language-switcher {
                        margin: 0;

                        > div {
                            background: transparent;
                            padding: 0;
                            margin: 0;
                            border: 0;
                        }

                        .trp-ls-shortcode-current-language {
                            display: none;
                        }

                        .trp-ls-shortcode-language {
                            visibility: visible;
                            height: auto;
                            overflow: inherit;
                            width: auto !important;
                            display: block !important;

                            a {
                                display: inline-block;
                                padding: 0 4px;
                                margin: 0;
                                color: $color__text;
                                text-transform: lowercase;
                                
                                img {
                                    margin: 0;
                                    display: inline-block;
                                    vertical-align: middle;
                                }

                                &.trp-ls-disabled-language {
                                    display: none;
                                }

                                &:hover {
                                    background: transparent;
                                }
                            }
                        }

                        &:hover {
                            .trp-ls-shortcode-language {
                                position: relative;
                            }
                        }
                    }
                }
            }
        }
    }
}

body.page {
    #header {
        background: $color__titles;

        .main-menu {
            ul {
                li {
                    a {
                        color: white;

                        i {
                            color: white;
                        }
                    }
                }

                li.lang .trp-language-switcher .trp-ls-shortcode-language a {
                    color: white;
                }

                li.active a {
                    color: $color__secondary;
                    border-color: $color__secondary;
                }
            }
        }
    }
}

body.page-template-pricing {
    #header {
        background: white;

        .main-menu {
            ul {
                li {
                    a {
                        color: $color__titles;
                        
                        i {
                            color: $color__utilitary;
                        }
                    }
                }

                li.lang .trp-language-switcher .trp-ls-shortcode-language a {
                    color: $color__text;
                }

                li.active a {
                    color: $color__utilitary;
                    border-color: $color__utilitary;
                }
            }
        }
    }
}

/*--------------------------------------------------------------
# Hero
--------------------------------------------------------------*/
#hero {
    background: white;
    box-shadow: 0 12px 12px rgba($color__titles,0.05);
    height: 540px;
    padding-bottom: 100px;
    overflow: hidden;
    position: relative;
    width: 100%;

    .container-fluid,
    .row {
        height: 100%;
    }

    .hero-text {
        position: relative;
        z-index: 50;

        .hero-title {
            font-size: 3rem;
            line-height: 1.125;
            max-width: 430px;
        }

        .hero-desc {
            font-size: 1.25rem;
            line-height: 1.5;
            max-width: 400px;
        }
    }

    div.wpforms-container-full {
        margin-bottom: 4px;
    }

    .wpforms-form {
        position: relative;

        input {
            border: 2px solid $color__grey--regent;
            border-radius: 8px;
            padding: 16px 28px;
            text-align: left;
            height: auto;

            &.wpforms-error {
                border-color: $red;
            }
        }

        .wpforms-submit-container {
            position: absolute;
            right: 3px;
            top: 3px;
        }

        .wpforms-submit {
            background: $color__utilitary;
            border-radius: 4px;
            border-color: $color__utilitary;
            color: white;
            padding: 16px 28px;
            text-align: left;
            height: auto;
        }

        .wpforms-error {
            text-align: left;
        }
    }

    .case-studies-slider {
        left: 45%;
        position: absolute;
        top: 20px;
        width: 100%;
        z-index: 20;

        .slick-arrow {
            background: white;
            border-radius: 50%;
            color: $color__titles;
            width: 40px;
            height: 40px;
            line-height: 40px;
            text-align: center;
            border: 1px solid $color__grey--regent;
            padding: 0;
            position: absolute;
            left: 600px;
            top: 50%;
            margin-top: -30px;
            z-index: 20;
        }

        .slick-slide {
            outline: none;
        }

        .slider-item {
            width: 610px;
            float: left;

            .caption {
                max-width: 580px;
                margin: 0 auto;
            }

            .thumb {
                background: no-repeat center center;
                background-size: cover;
                border-radius: 4px;
                height: 420px;
                margin: 0 12px;
                overflow: hidden;
                position: relative;
                width: 610px;

                img {
                    display: none;
                }

                .browser {
                    height: 100%;
                    left: 0;
                    position: absolute;
                    top: 0;
                    width: 100%;

                    span {
                        background: darken($color__grey--regent,10%);
                        border-radius: 50%;
                        height: 12px;
                        left: 16px;
                        position: absolute;
                        top: 10px;
                        width: 12px;

                        &.two {
                            left: 34px;
                        }

                        &.three {
                            left: 52px;
                        }
                    }

                    &::before,
                    &::after {
                        background: $color__grey--regent;
                        content: '';
                        height: 30px;
                        left: 0;
                        position: absolute;
                        top: 0;
                        width: 100%;
                    } 

                    &::after {
                        bottom: 0;
                        height: 20px;
                        top: initial;
                    }

                    .url {
                        background: white;
                        border-radius: 100px;
                        height: 16px;
                        left: 20%;
                        position: absolute;
                        top: 7px;
                        text-align: center;
                        width: 60%;

                        p {
                            font-size: 0.75rem;
                            line-height: 1.25;
                            margin: 0;
                        }
                    }
                }
            }
        }
    }

    .grey-border {
        background: no-repeat center top;
        background-size: cover;
        bottom: 0;
        display: block;
        height: 120px;
        left: 0;
        position: absolute;
        width: 100%;
        z-index: 1;
    }
}

/*--------------------------------------------------------------
# Partners
--------------------------------------------------------------*/
#partners {
    margin: 30px 0;

    .title {
        font-size: 1.125rem;
        font-weight: normal;
    }

    * {
        outline: none;
    }

    .testimonials {
        margin-bottom: 30px;
        border: 0;
        outline: none;

        .testimony {
            .testimony-text {
                font-weight: normal;
                font-size: 1.5rem;
                margin-bottom: 20px;
            }

            .testimony-author {
                .testimony-author-author {
                    font-size: 1.125rem;
                    color: $color__text;
                    display: inline-block;
                    vertical-align: middle;
                }

                .testimony-author-avatar {
                    display: inline-block;
                    border-radius: 50%;
                    width: 40px;
                    height: 40px;
                    background: no-repeat center center;
                    background-size: cover;
                    margin-right: 8px;
                    vertical-align: middle;

                    img {
                        display: none;
                    }
                }
            }
        }

        .slick-dots {
            border: 0;
            display: block;
            text-align: center;
            padding: 0;
            margin: 16px 0 0 0;

            li {
                display: inline-block;
                margin: 0 4px;

                button {
                    border: 2px solid transparent;
                    border-radius: 50%;
                    padding: 0;
                    width: 8px;
                    height: 8px;
                    background: $color__grey--regent;
                    text-indent: -9999px;
                }

                &.slick-active {
                    button {
                        background: white;
                        border-color: $color__titles;
                    }
                }
            }
        }
    }

    .logos {
        margin: 16px 0;

        .logo {
            display: inline-block;
            width: 16%;
            text-align: center;
            opacity: 0.8;
            margin: 16px 0;
        }
    }
}

/*--------------------------------------------------------------
# OTAs
--------------------------------------------------------------*/
#otas {
    padding: 40px 20px;
    position: relative;

    .otas {
        border-radius: 4px;
        background: $color__grey;
        padding: 80px 0;
        position: relative;
    }

    .logos {
        margin-top: 40px;

        .logo {
            display: inline-block;
            width: 16%;
            text-align: center;
        }
    }

    &::before {
        content: '';
        width: 100%;
        height: 300px;
        position: absolute;
        left: 0;
        bottom: 10px;
        background: $color__titles;
        z-index: -1;
    }
}

/*--------------------------------------------------------------
# Sections
--------------------------------------------------------------*/
#sections {
    margin: 40px 0;

    .item {
        border-radius: 4px;
        padding: 40px;

        .icon {
            color: $color__utilitary;
            font-size: 2rem;
            margin-bottom: 30px;
        }

        &.two {
            background: white;
            border-top: 1px solid $color__utilitary;
            box-shadow: 0 6px 20px -6px rgba($color__titles,0.1);
        }
    }
}

/*--------------------------------------------------------------
# Main CTA
--------------------------------------------------------------*/
#main-cta {
    margin-bottom: 30px;

    .card {
        background: $color__titles;
        padding: 60px 40px;
        border: 0;
    }

    .desc {
        color: lighten($color__titles,55%);
    }

    div.wpforms-container-full {
        margin-bottom: 4px;
    }

    .wpforms-form {
        position: relative;

        input {
            border: 2px solid $color__grey--regent;
            border-radius: 8px;
            padding: 16px 28px;
            text-align: left;
            height: auto;
        }

        .wpforms-submit-container {
            position: absolute;
            right: 3px;
            top: 3px;
        }

        .wpforms-submit {
            background: $color__utilitary;
            border-radius: 4px;
            border-color: $color__utilitary;
            color: white;
            padding: 16px 28px;
            text-align: left;
            height: auto;
        }
    }

    .items {
        margin-top: 8px;
        margin-bottom: 16px;

        .item {
            font-size: 1.125rem;
            color: white;
            margin: 8px 0;

            i {
                color: $color__secondary;
            }
        }
    }
}

/*--------------------------------------------------------------
# Pricing
--------------------------------------------------------------*/
#page-hero {
    background: white;
    box-shadow: 0 12px 12px rgba($color__titles,0.05);
    padding: 2% 0;
    margin-bottom: 40px;
}

.pricing {
    .item {
        &.two {
            border-width: 2px;
        }

        .header {
            display: block;
            margin-bottom: 16px;
        }

        .badge {
            background: $color__grey--regent;
            color: $color__titles;
            border: 0;
            margin: 0 4px;
            padding: 1px 12px;
            font-size: 0.875rem;
        }

        .features {
            margin: 0;
            padding: 0;

            li {
                color: $color__titles;
                display: block;
                margin: 0;
                padding: 12px;
                padding-left: 44px;
                position: relative;
                border-bottom: 1px solid $color__grey--regent;

                i {
                    color: $color__utilitary;
                    position: absolute;
                    left: 16px;
                    top: 14px;
                }

                .desc {
                    p {
                        font-size: 0.875rem;
                        color: $color__text;
                        margin: 2px 0 0 0;
                        line-height: 1.25rem;
                    }
                }
            }
        }

        &.enterprise {
            .header {
                margin: 0;
            }
        }
    }

    .pricing-tabs {
        border: 0;
        margin: 0 0 20px 0;
        padding: 0;
        text-align: center;

        li {
            margin: 0 2px;

            a {
                border-radius: 100px;
                border: 0;
                font-weight: normal;
                outline: none;

                &:hover {
                    border: 0;
                }
            }
        }

        [aria-selected="true"] {
            background: $color__utilitary;
            color: white;
        }
    }
}

.faq {
    margin: 30px 0;

    .item {
        margin: 40px 0;
    }

    .featured-faq {
        .one {
            position: relative;

            &::after {
                content: '';
                width: 1px;
                height: 100%;
                position: absolute;
                right: -40px;
                top: 0;
                background: rgba($color__titles,0.08);
            }
        }
    } 
}

/*--------------------------------------------------------------
# Plans page
--------------------------------------------------------------*/
body.page-template-plans {
    background: $titles-color;
    position: relative;

    &::after {
        content: '';
        width: 40%;
        height: 100%;
        position: fixed;
        right: 0;
        top: 0;
        background: $secondary-color;
    }

    #header,
    #footer {
        display: none;
    }

    #footer {
        color: lighten($titles-color,60%);

        .titles-color,
        a {
            color: $white;
        }
    }

    #main {
        overflow: inherit;
    }

    .plans-template {
        margin: 40px 0;

        .sticky {
            position: -webkit-sticky;
            position: sticky;
            top: 40px;
        }

        .logo {
            margin: 20px 0 40px 0;

            svg {
                width: 180px;
            }
        }

        .features {
            .feature {
                margin: 40px 0;
                position: relative;
                padding-left: 60px;

                .icon {
                    position: absolute;
                    left: 0;
                    top: 0;
                    width: 40px;
                }

                .desc {
                    color: lighten($titles-color,60%);
                }
            }
        }
    }
}

/*--------------------------------------------------------------
# Login
--------------------------------------------------------------*/
body.page-template-login {
    background: $color__grey;

    #header,
    #footer {
        display: none;
    }

    #main {
        margin: 60px 0;
    }
}

#login {
    .logo {
        max-width: 280px;
        margin-bottom: 30px;
        width: 60%;
    }

    .card {
        background: white;
        padding: 20px 40px 40px 40px;
    }

    label {
        margin: 16px 0;
        color: $color__titles;
    }

    input {
        border-width: 2px;
        text-align: left;
        outline: none;
        margin-top: 4px;
        font-weight: normal;

        &:focus {
            border-color: $color__utilitary;
        }
    }

    .btn {
        display: block;
        padding: 16px 24px;
    }
}

/*--------------------------------------------------------------
# Footer
--------------------------------------------------------------*/
#footer {
    padding: 30px 0 20px 0;

    .logo {
        width: 140px;
    }

    .social {
        display: block;
        margin: 16px 0;

        .label {
            color: $color__titles;
            display: inline-block;
            margin-right: 16px;
        }

        a {
            border-radius: 50%;
            display: inline-block;
            font-size: 1rem;
            width: 32px;
            height: 32px;
            line-height: 34px;
            text-align: center;
            background: $color__grey--regent;
            color: $color__text;
            margin-right: 4px;
        }
    }

    .footer-menu {
        ul {
            margin: 0;
            padding: 0;

            li {
                display: block;
                margin: 12px 0;
                padding: 0;

                &.title {
                    font-weight: bold;
                    margin-top: 0;
                }

                a {
                    display: block;
                    font-weight: normal;
                }
            }
        }
    }
}

body.page {
    #footer {
        color: white;
        background: $color__titles;

        a,
        .titles-color {
            color: white;
        }

        hr {
            background: lighten($color__titles,10%);
        }

        .social {
            .label {
                color: lighten($color__titles,35%);
            }

            a {
                background: lighten($color__titles,15%);
            }
        }
    }
}

body.page-template-pricing {
    #footer {
        color: $color__text;
        background: white;

        a,
        .titles-color {
            color: $color__titles;
        }

        hr {
            background: $color__grey--regent;
        }

        .social {
            .label {
                color: $color__titles;
            }
    
            a {
                background: $color__grey--regent;
                color: $color__text;
            }
        }
    }
}

/* --------------------------------------------------
PAGE TEMPLATE LANDING #1
----------------------------------------------------- */
.template-landing-main-features {
    .feature {
        .icon {
            width: 50px;
            height: 50px;
            line-height: 50px;
            text-align: center;
            background: lighten($main-color,30%);
            color: $main-color;
            @include border_radius(50%);
        }

        .title {
            font-weight: $normal-font;
        }

        &:nth-child(2n+0) {
            .icon {
                background: lighten($secondary-color,30%);
                color: $secondary-color;
            }
        }

        &:nth-child(3n+0) {
            .icon {
                background: lighten($utilitary-color,30%);
                color: $utilitary-color;
            }
        }
    }
}

.hero-page {
    height: 380px;
    overflow: hidden;

    .container-fluid,
    .row {
        height: 100%;
    }

    .hero-img {
        height: 100%;

        img {
            position: absolute;
            right: 0;
            bottom: 0;
        }
    }

    &.hero-two {
        height: initial;
        padding: 5% 0;
        background-repeat: no-repeat;
        background-size: cover;
        background-position: center center;
        position: relative;

        &::before {
            content: '';
            width: 100%;
            height: 100%;
            position: absolute;
            left: 0;
            top: 0;
            background: linear-gradient(rgba($color__titles,0),rgba($color__titles,1));
        }

        &::after {
            content: '';
            width: 100%;
            height: 100%;
            position: absolute;
            left: 0;
            top: 0;
            background: rgba($color__titles,0.8);
        }

        .container-fluid {
            position: relative;
            z-index: 10;
        }

        .logo {
            max-width: 250px;
            max-height: 80px;
        }
    }
}

#page-form {
    margin: 20px 0;
    padding: 30px 40px;
    @include border_radius(4px);

    &.two {
        padding: 0;;
    }

    h1,
    h2,
    h3,
    h4,
    h5,
    h6 {
        color: $white;
        font-weight: $normal-font;
    }

    div.wpforms-container-full {
        margin: 0;
        padding: 0;

        input[type="text"],
        input[type="email"],
        input[type="number"],
        input[type="tel"],
        input[type="url"],
        input[type="phone"],
        input[type="password"],
        textarea {
            width: 100%;
            text-align: left;
            background: $white;
            color: $titles-color;
            border: 1px solid $color__grey--regent;
            @include border_radius(4px);

            @include placeholder {
                color: $text-color;
            }
        }

        select {
            color: $titles-color;
            text-align: left;
            border: 0;
            @include border_radius(0);
        }

        .country-list {
            color: $titles-color;
        }

        input[type="radio"],
        input[type="checkbox"] {
            display: none;
        }

        input[type="radio"] + label,
        input[type="checkbox"] + label {
            cursor: pointer;
        }

        input[type="radio"]:checked + label:before,
        input[type="checkbox"]:checked + label:before {
            line-height: 11.5px;
            color: $secondary-color;
            border-color: $secondary-color;
        }

        .wpforms-form input[type=submit],
        .wpforms-form button[type=submit],
        .wpforms-form .wpforms-page-button,
        button,
        input[type="submit"] {
            background: $secondary-color;
            border-color: $secondary-color;
            color: $titles-color;
            @include border_radius(4px);
            padding: 12px 24px;
        }

        .wpforms-page-indicator {
            * {
                text-align: center;
            }

            .wpforms-page-indicator-steps {
                display: block;
            }

            .wpforms-page-indicator-page-progress-wrap {
                height: 4px;
                margin-top: 12px;
                background: rgba(black,0.3);
                
                .wpforms-page-indicator-page-progress {
                    background: $color__secondary !important;
                }
            }
        }
    }

}

/* --------------------------------------------------
PAGE TEMPLATE LANDING #2
----------------------------------------------------- */
body.page-template-landings-page-template-two {
    color: white;

    #header {
        position: absolute;
        left: 0;
        top: 0;
        background: transparent;
        z-index: 444;
    }

    .hero-page {
        &.hero-two {
            padding-top: 100px;
        }
    }
}

/* --------------------------------------------------
THE CONTENT
----------------------------------------------------- */
.the-content {
    h1,
    h2,
    h3,
    h4,
    h5,
    h6 {
        margin: 12px 0;
        display: block;
        line-height: 1.375;
    }

    p {
        color: $titles-color;
        margin: 12px 0;
        display: block;
    }

    li {
        color: $titles-color;
        margin: 16px 0;
    }

    &.white {
        * {
            color: white;
        }
    }

    img {
        width: 100%;
        margin: 16px 0;
    }

    .wp-block-pullquote {
        padding: 1.5em 0;

        blockquote {
            border: 0;
            border-top: 1px solid $color__grey--regent;
            border-bottom: 1px solid $color__grey--regent;

            cite {
                border: 0;
                color: $text-color;
                padding: 0;
                margin: 0 0 16px 0;
            }
        }
    }

    blockquote {
        border: 0;
        border-left: 1px solid $color__grey--regent;

        cite {
            border: 0;
            color: $text-color;
            padding: 0;
            margin: 0 0 16px 0;
        }
    }

    .wp-block-separator {
        background: transparent;
        position: relative;
        margin: 50px 0;

        &::after {
            content: '';
            width: 30%;
            height: 3px;
            background: $color__grey--regent;
            display: block;
            margin: 0 auto;
        }
    }

    .author-img {
        margin-top: -60px;
        position: relative;
        z-index: 10;
        margin-bottom: 0;

        figure {
            margin-top: 0;
            margin-bottom: 0;

            img {
                width: 100px;
                border: 4px solid white;
                border-radius: 50%;
            }
        }
    }
}

/* --------------------------------------------------
MISC
----------------------------------------------------- */
.request-demo {
    display: block;
    text-align: center;
    position: relative;
    width: 100%;
    max-width: 580px;
    margin-left: auto;
    margin-right: auto;

    div.wpforms-container-full {
        margin: 20px 0 0 0;

        .wpforms-form {
            display: block;
            text-align: center;

            .wpforms-page-2,
            .wpforms-page-3,
            .wpforms-page-4,
            .wpforms-page-5,
            .wpforms-page-6 {
                .wpforms-field {
                    display: block;
                    width: 100%;
                    margin: 8px 0;
                }
            }

            .wpforms-field,
            .wpforms-submit-container {
                padding: 0;
                margin: 0 4px;
                display: inline-block;
                vertical-align: top;

                input,
                button,
                textarea,
                .wpforms-submit {
                    text-align: left;
                    padding: 12px 16px;
                    font-size: 1.125rem;
                    line-height: 1.5rem;
                    height: auto;
                    border: 0;
                    @include border_radius(4px);
                }

                button,
                .wpforms-submit {
                    width: 200px;
                    text-align: center;
                    background: $secondary-color;
                    color: $titles-color;
                    margin: 0 auto;
                    display: block;
                }

                input[type=email] {
                    width: 300px;
                }
            }

            .wpforms-page-indicator.progress {
                display: none;

                .wpforms-page-indicator-steps {
                    display: none;
                }
        
                .wpforms-page-indicator-page-progress-wrap {
                    height: 2px;
                }
            }
        }
    }

    .wpforms-confirmation-container-full, div[submit-success] > .wpforms-confirmation-container-full:not(.wpforms-redirection-message) {
        background: $titles-color;
        color: $white;
        font-size: 1.125rem;
        border: 0;
        @include border_radius(4px);
    }
}

body.page-template-download {
    background: $color__titles;

    #page-hero {
        background: $color__titles;
        padding: 0;
        margin-bottom: 0;
        
        * {
            color: white;
        }
    }
}

.experts-team {
    .tag {
        display: inline-block;
        margin-bottom: 4px;
    }
}

.downloads {
    margin-bottom: 40px;

    .item {
        background: darken($titles-color,10%);
        color: white;
        border-color: lighten($titles-color,15%);

        .icon,
        .label {
            display: inline-block;
            vertical-align: middle;
        }

        .icon {
            color: lighten($titles-color,60%);
        }

        &:hover {
            background: white;
            color: $color__titles;
        }
    }    
}

/* --------------------------------------------------
Hardcoded new landing
----------------------------------------------------- */
@import './apollo';

/* --------------------------------------------------
Webinar #1 landing
----------------------------------------------------- */
body.page-template-webinar {
    background: darken($color__titles,6%);

    #header {
        display: none;
    }
}

#webinar {
    .headbar {
        height: 100px;
        position: absolute;
        left: 0;
        top: 0;
        z-index: 100;
        width: 100%;

        .logo {
            img {
                width: 280px;
            }
        }
    }

    .webinar-hero {
        background: $color__titles;
        color: rgba(white,0.8);
        padding: 13% 0 9% 0;
        position: relative;
        overflow: hidden;

        .webinar-hero-bg {
            background: no-repeat center center;
            background-size: cover;
            position: absolute;
            left: 0;
            top: 0;
            width: 100%;
            height: 100%;

            &::before {
                content: '';
                width: 100%;
                height: 100%;
                position: absolute;
                left: 0;
                bottom: 0;
                background: rgba($color__titles,0.7);
            }

            &::after {
                content: '';
                width: 100%;
                height: 50%;
                position: absolute;
                left: 0;
                bottom: 0;
                background: linear-gradient(rgba($color__titles,0),darken($color__titles,6%));
            }
        }

        .arrow {
            margin: 20px 0;
        }
        
        .row {
            position: relative;
            z-index: 10;
        }

        .webinar-hero-icon {
            color: rgba(white,0.4);
            font-size: 3rem;
            margin-bottom: 30px;
        }

        .webinar-hero-title {
            color: white;
            font-size: 4rem;
            line-height: 1.25;
            margin: 20px 0;
        }

        .webinar-hero-desc {
            font-size: 1.75rem;
            line-height: 1.5;
        }

        .webinar-hero-certificate {
            font-size: 1.25rem;
        }

        .highlight {
            color: white;
            border-bottom: 1px solid $color__secondary;
        }
    }

    .webinar-cards {
        margin-top: -160px;
        text-align: center;

        .item {
            background: $color__titles;
            margin: 20px 40px;
            padding: 40px;
            min-height: 400px;
            transition-duration: 0.2s;
            width: 40%;
            display: inline-block;
            vertical-align: top;

            &:nth-child(2),
            &:nth-child(4),
            &:nth-child(6) {
                margin-top: 120px;
            }

            &:hover {
                transform: scale(1.05);
            }

            &.mod {
                min-height: auto;
            }

            .zoom-logo {
                width: 130px;
            }

            .avatar {
                margin-top: -60px;
            }

            hr {
                background: lighten($color__titles,10%);
            }

            &.subscribe {
                background: white;

                * {
                    color: $color__titles;
                }

                #page-form {
                    padding: 0;
                    margin: 12px 0 0 0;

                    .wpforms-page-indicator-steps {
                        font-size: 0.875rem;
                    }

                    .wpforms-page-indicator,
                    .wpforms-page-indicator-page-progress-wrap {
                        margin: 0;
                    }

                    button,
                    input[type=submit] {
                        font-weight: bold;
                    }
                }
            }
        }
    }

    .webinar-affiliates {
        background: white;
        padding: 160px 0 80px 0;
        margin-top: -160px;

        .logo {
            max-width: 160px;
            max-height: 70px;
            display: inline-block;
            vertical-align: middle;
            margin: 0 35px;

            &.ota {
                top: -12px;
                position: relative;
            }
        }
    }
}

/* --------------------------------------------------
Tianguis landing
----------------------------------------------------- */
body.page-template-tianguis {
    background: $color__grey;
}

#tianguis {
    .tianguis-logo {
        width: 90%;
        max-width: 140px;
    }
}

@include media_query_inverse(1024px) {
    #header {
        height: 80px;
        position: relative;

        .navicon {
            position: absolute;
            width: 20px;
            height: 100%;
            line-height: 1;
            padding: 0;
            border: 0;
            right: 16px;
            top: 0;
        }

        .logo {
            img {
                width: 140px;
            }
        }
    }

    #hero {
        height: auto;
        padding: 0 0 60px 0;
        
        .container-fluid,
        .wrap {
            height: auto;
        }

        .wpforms-container {
            max-width: 500px;
            margin: 0 auto;
        }

        .hero-text {
            .hero-title {
                font-size: 2.5rem;
                margin-left: auto;
                margin-right: auto;
            }
    
            .hero-desc {
                font-size: 1.125rem;
                margin-left: auto;
                margin-right: auto;
            }
        }

        .case-studies-slider {
            position: relative;
            left: initial;
            margin-top: 20px;

            .slick-list {
                margin: 0 -20px;
            }

            .slick-prev {
                left: 0;
            }

            .slick-next {
                left: inherit;
                right: 0;
            }

            .slider-item {
                width: 480px;
    
                .thumb {
                    height: 340px;
                    width: 480px;
                }

                .caption {
                    max-width: 460px;
                }
            }
        }
    }

    #otas {
        padding: 40px 20px;
    
        .otas {
            padding: 60px 20px;
        }
    
        .logos {
            margin-top: 30px;
    
            .logo {
                display: inline-block;
                width: 32%;
                text-align: center;
                margin-bottom: 20px;
            }
        }
    
        &::before {
            content: '';
            width: 100%;
            height: 80%;
            position: absolute;
            left: 0;
            bottom: 10px;
            background: $color__titles;
            z-index: -1;
        }
    }

    .pricing {
        .item {
            &.two {
                margin-top: 0;
            }
        }
    }

    #partners {
        margin: 20px 0;
    
        .testimonials {    
            .testimony {
                .testimony-text {
                    font-size: 1.25rem;
                }
    
                .testimony-author {
                    .testimony-author-author {
                        font-size: 1rem;
                    }
                }
            }
        }
    
        .logos {
            margin: 0;
    
            .logo {
                width: 19%;
                margin: 20px 0;

                img {
                    max-width: 100px;
                    max-height: 80px;
                }

                &:last-child {
                    display: none;
                }
            }
        }
    }

    body.page-template-plans {
        &::after {
            display: none;
        }

        #header {
            display: block;
            
            .logo {
                text-align: left;
            }
        }

        .plans-template {
            margin: 0 0 20px 0;

            .sticky {
                display: block;
                position: relative;
                top: inherit;
                margin: 20px 0 40px 0;
            }

            .logo {
                display: none;
            }
        }
    }

    #webinar {
        .headbar {
            height: 80px;
    
            .logo {
                img {
                    width: 240px;
                }
            }
        }
    
        .webinar-hero {
            .webinar-hero-title {
                font-size: 3rem;
            }

            .webinar-hero-desc {
                font-size: 1.5rem;
            }
        }

        .webinar-affiliates {
            .logo {
                margin: 30px 60px;

                &:last-child {
                    margin-bottom: 0;
                }
            }
        }

        .webinar-cards {
            .item {
                margin: 20px 30px;
    
                &:nth-child(2),
                &:nth-child(4),
                &:nth-child(6) {
                    margin-top: 120px;
                }
            }
        } 
    }

    .faq {
        .featured-faq {
            padding-top: 0;
            padding-bottom: 0;

            .one {
                &::after {
                    width: 100%;
                    height: 1px;
                    right: 0;
                    top: 100%;
                    margin-top: 40px;
                }
            }

            .item {
                margin: 40px 0;
            }
        }

        .item {
            margin: 0 0 40px 0;
        }
    }

    #footer {
        .footer-menu {
            margin: 20px 0;
        }
    }
}

/* --------------------------------------------------
Saving hotels landing
----------------------------------------------------- */
body.page-template-saving,
body.page-template-savingbuy {
    #header {
        background: lighten($color__titles,69%);

        .logo {
            img {
                width: 300px;
            }
        }

        .menu {
            .main-menu {
                ul {
                    li.pms,
                    li.active {
                        display: none;
                    }

                    li.lang .trp-language-switcher .trp-ls-shortcode-language a {
                        color: $color__titles;
                    }

                    li.redeem {
                        margin-left: 12px;
                        a {
                            background: transparent;
                            border: 2px solid #4D4CAC;
                            border-radius: 80px;
                            color: #4D4CAC;
                            padding: 12px 28px;
                        }
                    }
                }
            }
        }
    }

    #saving {
        background: transparent;

        .saving-hero {
            background: lighten($color__titles,69%);
            margin-bottom: 80px;
            position: relative;

            .image {
                bottom: -72px;
                display: block;
                margin: 0 auto;
                max-width: 400px;
                position: relative;
                width: 60%;
                z-index: 20;
            }

            .image-bg {
                background: repeat-x center bottom;
                background-size: contain;
                bottom: -8px;
                height: 200px;
                left: 0;
                position: absolute;
                width: 100%;
            }

            .hero-title {
                font-size: 3.5rem;
                line-height: 1.25;
            }

            .hero-desc {
                color: $color__titles;
                font-size: 1.125rem;
            }

            .hero-btn {
                background: #4D4CAC;
                font-size: 1.125rem;
                padding: 20px 32px;
            }
        }

        .saving-logos {
            text-align: center;

            .logo {
                width: 16%;
                display: inline-block;
                margin: 20px 0;
                text-align: center;
                vertical-align: middle;

                img {
                    max-height: 60px;
                    max-width: 100px;
                }
            }
        }

        .saving-shares {
            position: fixed;
            right: 40px;
            top: 40px;
            z-index: 999;

            a {
                background: $color__facebook;
                border-radius: 50%;
                display: block;
                color: white;
                height: 40px;
                line-height: 40px;
                margin-bottom: 8px;
                text-align: center;
                width: 40px;

                &.twitter {
                    background: $color__twitter;
                }

                &.linkedin {
                    background: #0078BA;
                }
            }
        }

        .saving-hotels {
            /*
            .saving-hotels__tabs {
                border: 0;
                display: block;
                margin: 0 0 30px 0;
                text-align: center;
                padding: 0;

                li {
                    display: inline-block;
                    margin: 0;
                    padding: 0;

                    [role="tab"][aria-selected="true"] {
                        background: #4D4CAC;
                        color: white;

                        i {
                            color: white;
                        }
                    }

                    a {
                        border: 0;
                        border-radius: 8px;
                        display: block;
                        font-weight: normal;
                        margin: 4px 0;
                        padding: 8px 16px;

                        i {
                            color: #4D4CAC;
                            margin-right: 4px;
                        }
                    }
                }
            }
            */

            .saving-hotels-row {
                display: flex;
                flex-wrap: wrap;
                flex-direction: row;
                margin: 8px -10px;
                text-align: center;
            }
              
            .saving-hotel {
                display: block;
                float: left;
                margin: 0 10px 12px 10px;
                padding: 0;
                width: calc(33.33% - 20px);

                > a {
                    color: $color__text;
                    font-weight: normal;
                }
              
                .card {
                    background: white;
                    border: 1px solid lighten($color__titles,65%);
                    box-shadow: 0 10px 25px -5px lighten($color__titles,70%);
                    margin-bottom: 20px;
                }
              
                .saving-hotel__thumb {
                    background: $color__grey--regent no-repeat center center;
                    background-size: cover;
                    border: 1px solid $color__grey--regent;
                    border-radius: 8px;
                    height: 180px;
                    margin: -26px;
                    margin-bottom: 20px;
            
                    img {
                        display: none;
                    }
                }
              
                .saving-hotel__caption {
                    text-align: left;
                    width: 100%;
              
                    .saving-hotel__caption--title {
                        font-family: $font__main;
                        font-size: 1.25rem;
                        line-height: 1.375;
                    }
                }
            }
        }

        .saving-problem {
            border: 1px solid lighten($color__titles,65%);
            box-shadow: 0 10px 25px -5px lighten($color__titles,70%);
            border-radius: 4px;
            margin-bottom: 40px;
            padding: 40px 0;

            p {
                font-size: 1.125rem;
                line-height: 1.75;
                margin: 16px 0;
            }
        }

        .saving-covid {
            margin-bottom: 40px;

            .item {
                position: relative;

                .saving-covid__text {
                    p {
                        color: $color__titles;
                        font-size: 1.25rem;
                        margin: 10px 0;
                    }
                }

                .saving-covid__image {
                    max-width: 220px;
                    width: 90%;
                }
            }
        }

        .saving-steps {
            margin-bottom: 20px;
            position: relative;

            .item {
                margin-bottom: 60px;

                .saving-steps__number {
                    background: lighten(#FF808C,20%);
                    border-radius: 50%;
                    color: $color__pink;
                    display: block;
                    height: 40px;
                    line-height: 40px;
                    margin-bottom: 24px;
                    text-align: center;
                    position: relative;
                    width: 40px;
                    z-index: 1;
                }
            }
        }

        .saving-cta {
            background: #4D4CAC;
            padding: 40px 0 60px 0;

            .saving-cta__title {
                margin-bottom: 30px;
            }

            .saving-cta__btn {
                background: lighten($color__pink,6%);
                border-radius: 80px;
                color: white;
                display: inline-block;
                font-size: 1.125rem;
                font-weight: normal;
                margin: 0 8px;
                padding: 16px 32px;
            }
        }

        .saving-cta__hotels {
            p {
                color: lighten($color__titles,60%);
                font-weight: 300;
            }

            .saving-cta__btn {
                border: 2px solid lighten($color__titles,15%);
                border-radius: 80px;
                color: white;
                display: inline-block;
                font-weight: normal;
                margin: 0 8px;
                padding: 16px 32px;
            }
        }
    }

    .selector {
        height: 100px;
        position: relative;
        z-index: 30;

        * {
            border: 0;
        }

        [role="tablist"] {
            border: 0;
        }

        [role="tab"]:hover:not([aria-selected="true"]) {
            background: transparent;
            border: 0;
        }

        [role="tab"][aria-selected="true"] {
            background: transparent;
        }

        ul {
            background: #4D4CAC;
            border-radius: 4px;
            max-height: 330px;
            margin-left: -120px;
            max-width: 240px;
            left: 50%;
            padding-top: 0;
            overflow-y: auto;
            position: absolute;
            top: 40px;
            text-align: center;
            width: 100%;

            [role="tab"][aria-selected="true"] {
                border: 0;
            }

            li.option {
                background: lighten(#4D4CAC,8%);
                border-bottom: 1px solid rgba(black,0.1);
                cursor: pointer;
                display: inline-block;
                font-size: 0.875rem;
                height: 34px;
                line-height: 34px;
                margin: 0;
                padding: 0 16px;
                overflow: hidden;
                position: relative;
                text-align: left;
                text-overflow: ellipsis;
                top: 0;
                width: 100%;
                white-space: nowrap;

                &:hover {
                    background: lighten(#4D4CAC,4%);
                }

                .down-icon {
                    display: none;
                    position: absolute;
                    right: 12px;
                    top: 12px;
                }

                a {
                    color: white;
                    font-weight: normal;
                    padding: 0;

                    i {
                        color: lighten(#4D4CAC, 20%);
                        font-size: 0.875rem;
                        margin-right: 4px;
                    }
                }
            }
            
            li.option {
                display: none;
                position: relative;
                z-index: 1;
            }
            
            li:first-child {
                background: #4D4CAC;
                border-radius: 4px;
                display: list-item;
                height: 40px;
                line-height: 40px;
                left: 0;
                position: sticky;
                top: 0;
                z-index: 30;

                .down-icon {
                    display: block;
                }
            }

            li:last-child {
                border-bottom-left-radius: 4px;
                border-bottom-right-radius: 4px;
            }
        }
    }

    #footer {
        display: none;
    }
}

@include media_query_inverse(1100px) {
    #header .wrap {
        padding-left: 20px;
        padding-right: 20px;
    }

    body.page-template-saving #header .logo img,
    body.page-template-savingbuy #header .logo img {
        width: 300px;
    }

    body.page-template-saving #saving .saving-hero .hero-title {
        font-size: 3rem;
    }

    body.page-template-saving #saving .saving-hero .hero-desc {
        display: block;
        margin: 20px auto;
        max-width: 700px;
        width: 100%;
    }

    body.page-template-saving #saving .saving-hotels .saving-hotel {
        width: calc(50% - 20px);

        .saving-hotel__thumb {
            margin: -20px;
            margin-bottom: 12px;
        }
    }

    body.page-template-saving #saving .saving-shares {
        bottom: 20px;
        left: 0;
        top: inherit;
        text-align: center;
        width: 100%;

        a {
            display: inline-block;
            margin: 0 4px;
        }
    }
}

@include media_query_inverse(768px) {
    body.page-template-saving #header .logo img,
    body.page-template-savingbuy #header .logo img {
        width: 300px;
    }
    
    body.page-template-saving #saving .saving-hero .hero-title {
        font-size: 2.5rem;
    }

    body.page-template-saving #saving .saving-hero .hero-btn {
        padding: 16px 32px;
    }

    body.page-template-saving #saving .saving-problem {
        padding: 30px 16px;
    }

    body.page-template-saving #saving .saving-covid .item .saving-covid__text p {
        font-size: 1rem;
    }

    body.page-template-saving #saving .saving-hotels .saving-hotel {
        width: calc(100% - 20px);
    }

    body.page-template-saving #saving .saving-cta__hotels {
        padding-bottom: 100px;
    }
}

@include media_query_inverse(550px) {
    body.page-template-saving #saving .saving-hero .hero-title {
        font-size: 2rem;
        letter-spacing: -0.2px;
    }

    body.page-template-saving #saving .saving-hero .hero-desc {
        font-size: 1rem;
    }

    body.page-template-saving #saving .saving-hero .hero-btn {
        font-size: 1rem;
    }

    body.page-template-saving #saving .saving-problem p {
        font-size: 1rem;
    }

    body.page-template-saving .selector ul li:first-child,
    body.page-template-savingbuy .selector ul li:first-child {
        position: relative;
    }
}

@include media_query_inverse(500px) {
    body.page-template-saving #saving .saving-hero .hero-title {
        font-size: 1.5rem;
    }
}

@include media_query_inverse(768px) {
    #header {
        .main-menu {
            ul {
                li.pms {
                    .label {
                        display: none;
                    }
                }
            }
        }
    }

    #hero {
        .hero-text {
            .hero-title {
                font-size: 2rem;
                max-width: 360px;
            }
    
            .hero-desc {
                font-size: 1.125rem;
            }
        }

        .case-studies-slider {
            .slider-item {
                width: 360px;
    
                .thumb {
                    height: 280px;
                    width: 360px;
                }

                .caption {
                    display: block;
                    max-width: 340px;
                    width: 100%;
                    margin: 0 auto;

                    * {
                        font-size: 1rem;
                        white-space: normal;
                    }
                }
            }
        }
    }

    .hero-page {
        padding: 20px 0;
        height: inherit;
        overflow: hidden;
    
        .container-fluid,
        .row {
            height: inherit;
        }

        .hero-caption {
            width: 100%;
            max-width: 460px;
            margin: 0 auto;
        }

        .hero-img {
            height: inherit;
            bottom: -20px;
            
            img {
                position: relative;
                margin: 0 auto;
                margin-top: 10px;
                display: block;
                max-width: none;
                width: 100%;
            }
        }
    }

    #otas {
        padding: 0 20px;
        margin-bottom: 70px;
        
    
        .otas {
            padding: 40px 20px;
        }
    
        .logos {
            margin-top: 30px;
    
            .logo {
                display: inline-block;
                width: 45%;
                text-align: center;
                margin-bottom: 20px;

                img {
                    max-width: 100px;
                }
            }
        }

        &::before {
            bottom: -30px;
        }
    }

    #partners {    
        .testimonials {    
            .testimony {
                .testimony-text {
                    font-size: 1.125rem;
                }
            }
        }
    
        .logos {
            margin: 0;
    
            .logo {
                width: 24%;
                margin: 20px 0;

                img {
                    max-width: 80px;
                    max-height: 50px;
                }
            }
        }
    }

    #main-cta {
        .card {
            padding: 40px;
        }
    } 

    .content-study {
        width: calc(100% - 20px);
    }

    #webinar {
        .headbar {    
            .logo {
                img {
                    width: 200px;
                }
            }
        }
    
        .webinar-hero {
            padding: 80px 0 50px 0;
            margin-bottom: 40px;

            .webinar-hero-title {
                font-size: 2rem;
                width: 100%;
                max-width: 400px;
                margin-left: auto;
                margin-right: auto;
            }

            .webinar-hero-desc {
                font-size: 1.25rem;
                width: 100%;
                max-width: 380px;
                margin-left: auto;
                margin-right: auto;
            }

            .webinar-hero-certificate {
                font-size: 1.125rem;
            }
            
            .webinar-hero-icon {
                font-size: 2rem;
                display: none;
            }
        }

        .webinar-cards {
            .item {
                width: 100%;
                padding: 20px;
                min-height: 300px;
                margin: 70px 0;
                
                &:hover {
                    transform: scale(1);
                }

                &:nth-child(2),
                &:nth-child(4),
                &:nth-child(6) {
                    margin: 0;
                }
            }
        }
        .webinar-affiliates {
            margin-top: -60px;
            padding-top: 100px;
        }
    }

    #footer {
        .footer-menu {
            margin: 0;

            ul {
                margin: 16px 0;

                li {
                    margin: 8px 0;
                }
            }
        }
    }
}

@include media_query_inverse(600px) {
    #header {
        .logo {
            img {
                width: 130px;
            }
        }

        .main-menu ul {
            li a {
                padding: 8px;
            }

            li.active a {
                padding: 8px 12px;
                font-size: 0.875rem;
                font-weight: normal;
            }
        }
    }

    #hero {
        .hero-text {
            .hero-title {
                max-width: 340px;
                letter-spacing: -0.3px;
            }
    
            .hero-desc {
                font-size: 1rem;
            }
        }

        .wpforms-form {
            input,
            .wpforms-submit {
                padding: 12px 20px;
                width: 100%;
                font-size: 1rem;
            }

            .wpforms-submit {
                text-align: center;
                padding: 16px 20px;
            }

            .wpforms-submit-container {
                position: relative;
                right: 0;
                top: 0;
                padding: 0;
            }
        }

        .case-studies-slider {
            .slider-item {
                width: 320px;
    
                .thumb {
                    height: 240px;
                    width: 320px;
                    margin: 0 4px;

                    .browser {
                        .url {
                            display: none;
                        }

                        span {
                            width: 8px;
                            height: 8px;
                            left: 12px;
                            top: 8px;

                            &.two {
                                left: 24px;
                            }

                            &.three {
                                left: 36px;
                            }
                        }

                        &::before {
                            height: 24px;
                        }
                    }
                }

                .caption {
                    max-width: 250px;
                    margin: 0 auto;
                }
            }

            .slick-arrow {
                width: 30px;
                height: 30px;
                line-height: 30px;
                font-size: 0.75rem;
            }
        }
    }

    #sections {
        .item {
            padding: 30px;

            &.one {
                padding-top: 0;
            }

            &.two {
                border: 1px solid $color__grey--regent
            }
        }
    }

    #main-cta {
        .card {
            padding: 30px;

            .desc {
                font-size: 1.125rem;
                max-width: 340px;
                margin: 12px auto;
            }

            .items {
                margin: 0 0 12px 0;

                .item {
                    font-size: 1rem;
                }
            }
        }
        
        .wpforms-form {
            input,
            .wpforms-submit {
                padding: 12px 20px;
                width: 100%;
                font-size: 1rem;
                border-radius: 4px;
            }

            .wpforms-submit {
                padding: 14px 20px;
                text-align: center;
            }

            .wpforms-submit-container {
                position: relative;
                padding: 0;
                right: 0;
                top: 0;
            }
        }
    }

    #partners {
        .logos {
            .logo {
                width: 32%;

                img {
                    max-width: 90px;
                    max-height: 60px;
                }

                &:nth-child(10) {
                    display: none;
                }
            }
        }
    }

    .wp-block-media-text .wp-block-media-text__content {
        padding: 0;
    }

    .hero-page {
        &.hero-two {
            .logo {
                max-width: 150px;
                max-height: 60px;
            }
        }
    }

    .wp-block-pullquote p {
        font-size: 1.125rem;
    }

    #webinar {
        .webinar-hero {
            .webinar-hero-title {
                font-size: 1.5rem;
                max-width: 320px;
            }

            .webinar-hero-desc {
                font-size: 1rem;
                max-width: 300px;
            }

            .webinar-hero-certificate {
                font-size: 1rem;
                max-width: 280px;
                margin: 12px auto;
            }
        }
    }
}

@include media_query_inverse(480px) {
    .pricing-tabs {
        li {
            display: inline-block;
        }
    }
}

/*--------------------------------------------------------------
# Misc
--------------------------------------------------------------*/
@import './healthcare';